import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.meego 1.0

PageStackWindow  {

    id: main

    onVisibleChanged: showBanner1()

    InfoBanner {
        id: banner
        text: "This is an info banner with no icon"
    }

    function showBanner1() {
        // set display time to 5000 ms, default is 3000 ms
        banner.timeout = 5000;
        // display info banner
        banner.open();
    }

    function showBanner2() {
        // disable "self-dismissing" timer, banner has to be dismissed manually
        banner.timeout = 0;
        // interactive infobanner. click signal will be triggered when clicked.
        banner.interactive =  true
        // display info banner
        banner.open();
    }

    function closeBanner() {
        // close info banner manually
        banner.close();
    }

}

// Create an info banner with no icon

/*
Rectangle {
    id: main

    color: "#7bffff00"

    width: 480
    height: 854

    opacity: 0.5


    Text {
        id: textBT
        state: "rotated"
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        color: "white"
        font.pointSize: 36
        text: qsTr("Bluetooth toggled")

        states: State {
            name: "rotated"
            PropertyChanges {
                target: textBT;
                rotation: 270
            }
        }

        transitions: Transition {
            RotationAnimation{ duration: 200; direction: RotationAnimation.Clockwise }
        }

        //MouseArea { anchors.fill: parent; onClicked: rect.state = "rotated" }
    }

    Timer {
        interval: 2000; running: true; repeat: false
        onTriggered:  {
            console.log("Timer onTriggered")
            Qt.quit()
        }
    }

}


/*
PageStackWindow {
    id: appWindow

    initialPage: main

    Page {
        id: main

        Text {
            text: qsTr("TEXT")
        }

    }


}
*/
